> For the complete documentation index, see [llms.txt](https://docs.dler.io/black-hole/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dler.io/black-hole/api/v1/nodes.md).

# Nodes

<mark style="color:green;">`POST`</mark> `https://dler.cloud/api/v1/nodes/cusrelay/getrules`

#### Request Body

<table><thead><tr><th>Name</th><th width="336">Type</th><th>Description</th></tr></thead><tbody><tr><td>access_token<mark style="color:red;">*</mark></td><td>String</td><td> </td></tr></tbody></table>

{% tabs %}
{% tab title="200 " %}

```
{
    "ret": 200,
    "msg": "success",
    "data": [
        {
            "source_node_name": "香港 IEPL [01]",
            "source_host": "hk-1.example.com",
            "source_port": 18888,
            "target_host": "subdomain1.example.com",
            "target_port": 8888,
            "protocol_identical": true/false,
            "node_id": 123,
            "rule_id": 3,
        },
        {
            "source_node_name": "香港 IEPL [02]",
            "source_host": "hk-2.example.com",
            "source_port": 18889,
            "target_host": "subdomain2.example.com",
            "target_port": 9999,
            "protocol_identical": true/false,
            "node_id": 124,
            "rule_id": 4,
        }
    ]
}
```

{% endtab %}
{% endtabs %}

<mark style="color:green;">`POST`</mark> `https://dler.cloud/api/v1/nodes/cusrelay/add`

#### Request Body

<table><thead><tr><th>Name</th><th width="336">Type</th><th>Description</th></tr></thead><tbody><tr><td>access_token<mark style="color:red;">*</mark></td><td>String</td><td> </td></tr><tr><td>node_id<mark style="color:red;">*</mark></td><td>Number</td><td></td></tr><tr><td>target_host<mark style="color:red;">*</mark></td><td>String</td><td></td></tr><tr><td>target_port<mark style="color:red;">*</mark></td><td>Number</td><td></td></tr><tr><td>protocol_identical</td><td>Boolean</td><td></td></tr><tr><td>info</td><td>String</td><td>备注</td></tr></tbody></table>

{% tabs %}
{% tab title="200 " %}

```
{
    "ret": 200,
    "msg": "cusrelay rule added successfully"
}
```

{% endtab %}
{% endtabs %}

<mark style="color:green;">`POST`</mark> `https://dler.cloud/api/v1/nodes/cusrelay/del`

#### Request Body

<table><thead><tr><th>Name</th><th width="336">Type</th><th>Description</th></tr></thead><tbody><tr><td>access_token<mark style="color:red;">*</mark></td><td>String</td><td> </td></tr><tr><td>rule_id<mark style="color:red;">*</mark></td><td>Number</td><td></td></tr></tbody></table>

{% tabs %}
{% tab title="200 " %}

```
{
    "ret": 200,
    "msg": "cusrelay rule deleted successfully"
}
```

{% endtab %}
{% endtabs %}

<mark style="color:green;">`POST`</mark> `https://dler.cloud/api/v1/nodes/list`

#### Request Body

<table><thead><tr><th>Name</th><th width="336">Type</th><th>Description</th></tr></thead><tbody><tr><td>access_token<mark style="color:red;">*</mark></td><td>String</td><td> </td></tr></tbody></table>

{% tabs %}
{% tab title="200 " %}

```
{
  "ret": 200,
  "msg": "success",
  "data": [
    {
      "node_id": 1,
      "node_name": "香港 IEPL [01]",
      "node_host": "hk-1.example.com",
      "source_port": 12345
    },
    {
      "node_id": 2,
      "node_name": "香港 IEPL [02]",
      "node_host": "hk-2.example.comm",
      "source_port": 12345
    }
  ]
}
```

{% endtab %}
{% endtabs %}
